
QGIS Application - Feature request #970

When Initial Visibility is set to false still set map extent for first layer added

2008-03-04 07:14 PM - springmeyer -

Status: Closed

Priority: Low

Assignee:

Category: GUI

Pull Request or Patch supplied:No Resolution: invalid

Easy fix?: No Copied to github as #: 11029

Description

The commit:99336b4, to allow initial visibility to be false is a great addition. It is a really nice feature to have when loading many large

layers in QGIS all at once.

However, when that option is set QGIS does not automatically set its extent and map scale. It seems logical to have QGIS still set the map

extent based on the first layer added. This way the extra step for the user of having to right click and zoom to a specific layer extent would

be avoided.

There may be good reasons, performance wise, to keep it this way. Perhaps having QGIS set the map extent to the invisible layer would

negate the purpose of the invisibility for some users?

If this is the case it might be useful to have a second preferences option to allow for the map extent to be set nevertheless.

History

#1 - 2011-12-16 01:59 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:13 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:28 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2016-02-19 12:08 PM - Jürgen Fischer

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

#5 - 2016-02-19 12:14 PM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Open to Closed

The option was removed.
